%define build_id3 0
%{?_with_id3: %{expand: %%global build_id3 1}}
%{?_without_id3: %{expand: %%global build_id3 0}}

Summary: Grip, a CD player and ripper/MP3-encoder front-end
Name:	 grip
Version: 3.1.4
Release: 1.1.100mdk
License: GPL
Epoch:   1
Group: Sound
URL: http://www.nostatic.org/grip/
Source0: http://www.nostatic.org/grip/%name-%version.tar.bz2
Source1: %name-icons.tar.bz2
Source2: grip.1.bz2
Patch0: grip-2.99.2-ogg.patch.bz2
Patch1: grip-3.0.5-blind-write-fix.patch.bz2
Patch2: grip-3.1.4-cdparanoia-headers.patch.bz2
Patch3: grip-3.1.4-lame-flac-options.patch.bz2
Patch4: grip-3.1.4-834724.patch
Buildroot: %_tmppath/%name-%version-%release-root
BuildRequires: libgnomeui2-devel
BuildRequires: libghttp-devel
BuildRequires: vte-devel
Requires: vorbis-tools
%ifarch %ix86
BuildRequires: libcdda-devel
%endif
%if %build_id3
BuildRequires: libid3-devel
%endif

%description
Grip is a gtk-based cd-player and cd-ripper. It has the ripping capabilities
of cdparanoia builtin, but can also use external rippers (such as
cdda2wav). It also provides an automated frontend for MP3 encoders, letting
you take a disc and transform it easily straight into MP3s. The CDDB
protocol is supported for retrieving track information from disc database
servers. Grip works with DigitalDJ to provide a unified "computerized"
version of your music collection.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0 -b .tv
%patch1 -p1 -b .blind-write-fix
%patch2 -p1 -b .cdparanoia
%patch3 -p1 -b .options
%patch4 -p1 -b .can-2005-0706

%build
%configure2_5x \
%if %build_id3
  --enable-id3 \
%else
  --disable-id3 \
%endif
%ifarch alpha ppc
  --disable-cdpar
%endif

%make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%_mandir/man1/ 

#mdk menu entry
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name):\
command="%_bindir/%name" icon="sound_section.png" title="Grip"\
longtitle="A gtk-based cd-player and cd-ripper"\
needs="x11"	section="Multimedia/Sound"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xfj %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%find_lang %name-2.2

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name-2.2.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING CREDITS README ChangeLog TODO  
%_bindir/*
%_datadir/gnome/help/%name/
%_datadir/pixmaps/gripicon.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_mandir/man1/*
%_menudir/%name
%_datadir/applications/grip.desktop

%changelog
* Fri Apr 01 2005 Vincent Danen <vdanen@mandrakesoft.com> 3.1.4-1.1.100mdk
- P4: security update for CAN-2005-0706

* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.1.4-1mdk
- add spec file support for id3lib
- patch3: add tagging to the default lame and flac encoder options
- patch2: fix header location of our cdparanoia libs
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.1.3-1mdk
- drop library requirement
- buildrequires vte
- autoconf2_5 macro
- new version, the GNOME2 version became usable

* Thu Sep 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.7-2mdk
- fix buildrequires for 64bit ports

* Mon Aug 25 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.7-1mdk
- revert back from 3.1.1 to 3.0.7 due to high bug level in gtk+-2 tree
  (fix #4861 and #4889)

* Tue Jul 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-1mdk
- new release

* Tue May 27 2003 David BAUDENS <baudens@mandrakesoft.com> 3.0.7-2mdk
- Fix icon in menu

* Tue May 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.7-1mdk
- new release

* Thu Apr 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.6-1mdk
- new release
- remove no more unused icon patch

* Wed Jan 15 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.5-1mdk
- fix icons install.
- Bump to version 3.0.5.

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.4-1mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-2mdk
- add missing desktop file

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-1mdk
- new release
- rpmlint fixes

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0.1-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0.1-2mdk
- Automated rebuild with gcc3.2

* Wed Jun 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.1-1mdk
- fix Source0 url
- new release

* Sat May 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.0-3mdk
- gcc-3.1 build

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.0-2mdk
- spec simplification

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.0-1mdk
- new release
- regenerate patch1 (aka don't blindly writes id3 to ogg files)

* Mon Apr 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.99.3-2mdk
- use %%find_lang (Gtz Wasch)

* Thu Apr 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.99.3-1mdk
- new release
- fix blindly writes ID3 tags into Ogg files

* Wed Apr 03 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.99.2-1mdk
- new release

* Tue Mar 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.99.0-1mdk
- new release

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.98.6-1mdk
- versionate requires
- new version

* Sun Feb 10 2002 Stefan van der Eijk <stefan@eijk.nu> 2.98.5-4mdk
- BuildRequires
- also build alpha version with disable-cdpar

* Sat Feb  9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.98.5-3mdk
- build PPC version with disable-cdpar

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.98.5-2mdk
- add a disable-id3 option to configure rather than using dependancies
- remove the cdparanoia requires (compiled against libcdda0) (Goetz Waschk)

* Sun Jan 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.98.5-1mdk
- new release
- disable libid3lib3.0 support
- enhance ogg support (me & Goetz Waschk)
- fix requires

* Thu Jan 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.98.4-1mdk
- fix tar
- s!xpm!png!g
- backport the man page from previous versions
- add new docs
- spec clean
- new release

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.96-2mdk
- Use new icons

* Thu Jul 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.96-1mdk
- new release

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.95-8mdk
- BuildRequires:	gtk+-devel
- Remove BuildRequires:	XFree86-devel

* Thu Jul 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95-7mdk
- fix multi-authors cds

* Mon Jul 02 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95-6mdk
- better ogg support
- spec cleaning

* Mon Apr 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95-5mdk
- fix ogg compression

* Wed Mar 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95-4mdk
- bugfixes from debian:
- Fixed a segfault when loading cddb info for a particular disc.
- Fixed a mem leak caused by thread usage
- Removed "Created by Grip" from mp3info
- Fixed grip.c to prevent a segfault

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.95-3mdk
- recompile to s/oggvorbis/vorbis-tools

* Fri Nov 24 2000 dam's <damien@mandrakesoft.com> 2.95-2mdk
- corrected menu to make rpmlint happy.

* Tue Nov 07 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95-1mdk
- new release
- fancyfication
- fix file list to prevent ownership on systemwide directories

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 2.94-4mdk
- provide ln icons.

* Wed Sep  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.94-3mdk
- added oggenc support.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.94-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.94-1mdk
- release 2.94 (from helix)
- BM + macroszification

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 2.93-2mdk
- BM + macrozification}

* Sun Apr 09 2000 Daouda Lo	<daouda@mandrakesoft.com> 2.93-1mdk
- release 2.93
* Wed Apr 5 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-5mdk
- merge menu file with spec

* Tue Apr 4 2000 Warly <warly@mandrakesoft.com> 2.92-4mdk
- new icons

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-3mdk
- fix permissions on archive files

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-2mdk
- fix rpmlint warnings
- remove lame from grip rpm !!

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-1mdk
- clean specfile
- add menu entry 

* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 2.9-3mdk
- fix rpmlint reports.

* Wed Dec 15 1999 John Buswell <johnb@mandrakesoft.com>
- Put gcd back in
- Compressed man pages

* Mon Nov 15 1999 John Buswell <johnb@mandrakesoft.com>
- 2.9
- cleaned up spec file
- Build Release

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Mandrake adaptions
- Incorporated lame (mp3 encoder)
- Initial RPM
- Build Release
